# Class DTD

java.lang.Object
nu.validator.saxtree.Node
nu.validator.saxtree.ParentNode
nu.validator.saxtree.DTD

All Implemented Interfaces:
  `Locator2, Locator`

public final class DTD extends ParentNode
A doctype.

Version:
  $Id$
Author:
  hsivonen

## Field Summary

### Fields inherited from class ParentNode

`endLocator`

## Constructor Summary

Constructors
Constructor
Description
`DTD(Locator locator, String name, String publicIdentifier, String systemIdentifier)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name.
`NodeType`
`getNodeType()`
Return the node type.
`String`
`getPublicIdentifier()`
Returns the publicIdentifier.
`String`
`getSystemIdentifier()`
Returns the systemIdentifier.

### Methods inherited from class ParentNode

`appendChild, appendChildren, clearChildren, copyEndLocator, getFirstChild, getLastChild, insertBefore, insertBetween, setEndLocator`

### Methods inherited from class Node

`detach, getAttributes, getColumnNumber, getData, getEncoding, getLineNumber, getLocalName, getNextSibling, getParentNode, getPrefixMappings, getPreviousSibling, getPublicId, getQName, getSystemId, getTarget, getUri, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DTD

public DTD(Locator locator, String name, String publicIdentifier, String systemIdentifier)
The constructor.

Parameters:
  `locator` - the locator
  `name` - the name
  `publicIdentifier` - the public id
  `systemIdentifier` - the system id

## Method Details

### getName

public String getName()
Returns the name.

Overrides:
  `getName` in class `Node`
Returns:
  the name

### getPublicIdentifier

public String getPublicIdentifier()
Returns the publicIdentifier.

Overrides:
  `getPublicIdentifier` in class `Node`
Returns:
  the publicIdentifier

### getSystemIdentifier

public String getSystemIdentifier()
Returns the systemIdentifier.

Overrides:
  `getSystemIdentifier` in class `Node`
Returns:
  the systemIdentifier

### getNodeType

public NodeType getNodeType()
Description copied from class: `Node`
Return the node type.

Specified by:
  `getNodeType` in class `Node`
Returns:
  the node type
See Also:
  - `Node.getNodeType()`